Batch: 13.0
Commit: ingadhoc/account-financial-tools-no-auto-install:7267ffd0
Subject: [13.0] [FIX] account_ux: Set the readonly by states in fields.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/account-payment-no-auto-install:c2418a82
Subject: [13.0] [IMP] account_payment_group: Adapt wizard "massive validation invoices" for pay now validation.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/uruguay:19965b20
Subject: [IMP] remove files no longer needed on new runbot
Author: Juan Jose Scarafia
Committer: Juan Jose Scarafia
Commit: odoo:05ad6c47
Subject: [FIX] {test_}mail: properly handle deletion of mail notif from composer
Author: dht-odoo
Committer: Thibault Delavallée
Commit: enterprise:c86faa94
Subject: [FIX] account_asset: avoid recursive and repeating queries
Author: Ivan Yelizariev
Committer: Ivan Yelizariev
Version: 13.0
Config: Adhoc Conf (no test)
Total time: 2m

Date Level Type Message
2021-04-07 12:35:20 INFO runbot Init build environment with config Adhoc Conf (no test)
2021-04-07 12:35:20 Starting step base from config Adhoc Conf (no test)
2021-04-07 12:35:20 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-07 12:35:36 INFO server odoo.modules.loading:279 1 modules loaded in 7.85s, 0 queries
2021-04-07 12:35:46 INFO server odoo.modules.loading:279 11 modules loaded in 7.32s, 0 queries
2021-04-07 12:35:56 Step base finished in 35s
2021-04-07 12:35:56 Starting step all_no_test from config Adhoc Conf (no test)
2021-04-07 12:35:56 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-07 12:36:13 INFO server odoo.modules.loading:279 1 modules loaded in 7.55s, 0 queries
2021-04-07 12:37:17 WARNING server odoo.modules.loading:90
Module l10n_uy demo data failed to install, installed without demo data
Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/addons/base/models/res_partner.py", line 555, in _load_records_create
    partners = super(Partner, self.with_context(_partners_skip_fields_sync=True))._load_records_create(vals_list)
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-143>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 317, in _model_create_single
    return self.browse().concat(*(create(self, vals) for vals in arg))
  File "/data/build/odoo/odoo/api.py", line 317, in <genexpr>
    return self.browse().concat(*(create(self, vals) for vals in arg))
  File "/data/build/odoo/addons/base_vat/models/res_partner.py", line 502, in create
    return super(ResPartner, self).create(values)
  File "<decorator-gen-131>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 335, in _model_create_multi
    return create(self, [arg])
  File "/data/build/odoo/addons/account/models/partner.py", line 509, in create
    return super().create(vals_list)
  File "<decorator-gen-117>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/addons/partner_autocomplete/models/res_partner.py", line 183, in create
    partners = super(ResPartner, self).create(vals_list)
  File "<decorator-gen-81>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/res_partner.py", line 544, in create
    partners = super(Partner, self).create(vals_list)
  File "<decorator-gen-109>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/addons/mail/models/mail_thread.py", line 269, in create
    threads = super(MailThread, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3810, in create
    records = self._create(data_list)
  File "/data/build/odoo/odoo/models.py", line 3983, in _create
    records._validate_fields(name for data in data_list for name in data['stored'])
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/addons/l10n_latam_base/models/res_partner.py", line 22, in check_vat
    return super(ResPartner, with_vat).check_vat()
  File "/data/build/odoo/addons/base_vat/models/res_partner.py", line 192, in check_vat
    raise ValidationError(msg)
odoo.exceptions.ValidationError: ("\nThe VAT number [218435730016] for partner [1 IEB Internacional] does not seem to be valid. \nNote: the expected format is 'CC##' (CC=Country Code, ##=VAT Number)", None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/modules/loading.py", line 84, in load_demo
    load_data(cr, idref, mode, kind='demo', package=package, report=report)
  File "/data/build/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
  File "/data/build/odoo/odoo/tools/convert.py", line 721, in parse
    exc_info[2]
  File "/data/build/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/addons/base/models/res_partner.py", line 555, in _load_records_create
    partners = super(Partner, self.with_context(_partners_skip_fields_sync=True))._load_records_create(vals_list)
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-143>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 317, in _model_create_single
    return self.browse().concat(*(create(self, vals) for vals in arg))
  File "/data/build/odoo/odoo/api.py", line 317, in <genexpr>
    return self.browse().concat(*(create(self, vals) for vals in arg))
  File "/data/build/odoo/addons/base_vat/models/res_partner.py", line 502, in create
    return super(ResPartner, self).create(values)
  File "<decorator-gen-131>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 335, in _model_create_multi
    return create(self, [arg])
  File "/data/build/odoo/addons/account/models/partner.py", line 509, in create
    return super().create(vals_list)
  File "<decorator-gen-117>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/addons/partner_autocomplete/models/res_partner.py", line 183, in create
    partners = super(ResPartner, self).create(vals_list)
  File "<decorator-gen-81>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/res_partner.py", line 544, in create
    partners = super(Partner, self).create(vals_list)
  File "<decorator-gen-109>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/addons/mail/models/mail_thread.py", line 269, in create
    threads = super(MailThread, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3810, in create
    records = self._create(data_list)
  File "/data/build/odoo/odoo/models.py", line 3983, in _create
    records._validate_fields(name for data in data_list for name in data['stored'])
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/addons/l10n_latam_base/models/res_partner.py", line 22, in check_vat
    return super(ResPartner, with_vat).check_vat()
  File "/data/build/odoo/addons/base_vat/models/res_partner.py", line 192, in check_vat
    raise ValidationError(msg)
odoo.tools.convert.ParseError: "
The VAT number [218435730016] for partner [1 IEB Internacional] does not seem to be valid. 
Note: the expected format is 'CC##' (CC=Country Code, ##=VAT Number)
None" while parsing /data/build/ingadhoc/uruguay/l10n_uy/demo/res_partner_demo.xml:2, near
<odoo>

    <record model="res.partner" id="partner_company">
        <field name="name">1 IEB Internacional</field>
        <field name="l10n_latam_identification_type_id" ref="it_rut"/>
        <field name="vat">218435730016</field>
    </record>

    <record model="res.partner" id="partner_cfu">
        <field name="name">2 Consumidor Final Uruguayo</field>
    </record>

</odoo>
2021-04-07 12:37:18 INFO server odoo.modules.loading:279 70 modules loaded in 63.08s, 2 queries
2021-04-07 12:37:19 INFO server odoo.modules.loading:279 71 modules loaded in 1.00s, 0 queries
2021-04-07 12:37:31 Step all_no_test finished in 95s
2021-04-07 12:37:31 Starting step setup from config Adhoc Conf (no test)
2021-04-07 12:37:31 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-07 12:37:47 INFO runbot Step setup finished in 16s
2021-04-07 12:37:47 Starting step run from config Adhoc Conf (no test)
2021-04-07 12:37:47 INFO runbot Start running build 01612-13-0
2021-04-07 12:37:47 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-07 12:37:54 INFO server odoo.modules.loading:279 1 modules loaded in 0.01s, 0 queries
2021-04-07 12:37:55 INFO server odoo.modules.loading:279 11 modules loaded in 0.08s, 0 queries
2021-04-09 21:29:12 INFO runbot Kill build 01612-13-0